import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { AuthGuard } from '@farmmaps/common';
import { AppContentComponent} from './app-content.component';

const routes = [
  { path: '', canLoad: [AuthGuard], component: AppContentComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes,
    { initialNavigation: false })], // ,  enableTracing: true
  exports: [RouterModule]
})
export class AppRoutingModule { }
